> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get hourly, daily and weekly price change for default listed tokens

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /tokens/default
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /tokens/default:
    get:
      tags:
        - Tokens
      summary: Get hourly, daily and weekly price change for default listed tokens
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenStats'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    TokenStats:
      type: object
      properties:
        id:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        symbol:
          type: string
          description: Token symbol
          example: SAUCE
        priceUsd:
          type: number
          description: Token price in USD
          format: float
          example: 0.0177
        liquidityUsd:
          type: number
          description: Token liquidity in USD
          format: float
          example: 2880053.73
        priceChangeHour:
          type: number
          description: Price change % for the past hour
          format: float
          example: 0.01
        priceChangeDay:
          type: number
          description: Price change % for the past day
          format: float
          example: 0.04
        priceChangeWeek:
          type: number
          description: Price change % for the past week
          format: float
          example: 0.11
      required:
        - id
        - symbol
        - priceUsd
        - liquidityUsd
        - priceChangeHour
        - priceChangeDay
        - priceChangeWeek

````